module PipeRpc
  class Request
    def initialize(args)
      @server = args.fetch(:server, :default).to_sym
      @method = args.fetch(:method).to_sym
      @arguments = args.fetch(:arguments, [])
      @id = args.fetch(:id, nil)
    end

    attr_reader :server, :method, :arguments, :id

    def to_h
      { server: server, method: method, arguments: arguments, id: id }
    end
  end
end